" Settings
scriptencoding utf-8

set inccommand=nosplit
set clipboard^=unnamedplus
set number
set noshowmode
set showtabline=2
set noswapfile
set hidden
set lazyredraw
set showmatch
set matchpairs+=<:>
set matchtime=1
set cpoptions-=m
set nojoinspaces
set updatetime=300
set synmaxcol=200
set splitbelow
set splitright
set notimeout
set ignorecase
set scrolloff=5
set sidescroll=5
set shortmess+=aoOIWcs
set foldnestmax=10
set foldmethod=marker
set foldclose=all
set foldlevelstart=10
set selectmode=key
set keymodel=startsel
set signcolumn=yes
set tabstop=2
set shiftwidth=2
set softtabstop=2
set shiftround
set linebreak
set breakindent
set expandtab
set nosmarttab
set title
set redrawtime=500
set ttimeoutlen=10
set nowritebackup
set completeopt-=preview
set nostartofline
set undofile
set undolevels=1000
set undoreload=10000
set formatoptions+=nl
set formatoptions-=crot
set fillchars+=vert:\
set listchars+=precedes:<,extends:>
set conceallevel=1
set diffopt+=algorithm:histogram,indent-heuristic
set diffopt+=foldcolumn:0
set pastetoggle=<F12>
match ErrorMsg '^\(<\|=\|>\)\{7\}\([^=].\+\)\?$'

let mapleader="\<SPACE>"
let maplocalleader=','
let formatlistpat='^\s*\(\d\+[\]:.)}\t ]\|[*-][\t ]\)\s*'
let g:netrw_dirhistmax=0

if exists('$SUDO_USER')
  set nobackup
  set noundofile
endif
